Index: branch/font/Emb_App.tws
===================================================================
--- branch/font/Emb_App.tws	(revision 57)
+++ branch/font/Emb_App.tws	(revision 58)
@@ -7,9 +7,15 @@
 [GENERAL_DATA]
 [BREAKPOINTS]
 [OPEN_WORKSPACE_FILES]
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" 
+"E:\tp_info6_2018_font\bsp\sfr32c83.h" 
+"E:\tp_info6_2018_font\Emb_App\conf_noyau.cfg" 
+"E:\tp_info6_2018_font\Emb_App\crt0mr.a30" 
+"E:\tp_info6_2018_font\Emb_App\programme_principal_etud.c" 
 [WORKSPACE_FILE_STATES]
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" -8 -30 1596 659 1 0 
+"E:\tp_info6_2018_font\Emb_App\conf_noyau.cfg" 75 75 1430 351 0 2 
+"E:\tp_info6_2018_font\Emb_App\crt0mr.a30" -8 -30 1596 539 1 0 
+"E:\tp_info6_2018_font\Emb_App\programme_principal_etud.c" 25 25 1426 347 0 1 
+"E:\tp_info6_2018_font\bsp\sfr32c83.h" 100 100 1430 351 0 3 
 [LOADED_PROJECTS]
 "EmbM32C87App" 
 [END]
Index: branch/font/Emb_App/SessionM32C_E8a_system.ini
===================================================================
--- branch/font/Emb_App/SessionM32C_E8a_system.ini	(revision 57)
+++ branch/font/Emb_App/SessionM32C_E8a_system.ini	(revision 58)
@@ -25,4 +25,4 @@
 [Target]
 M32C E8a SYSTEM=Renesas Communications
 [USER_DATA]
-RESET=ff0016
+RESET=ff001c
Index: branch/font/Emb_App/programme_principal_etud.c
===================================================================
--- branch/font/Emb_App/programme_principal_etud.c	(revision 57)
+++ branch/font/Emb_App/programme_principal_etud.c	(revision 58)
@@ -121,50 +121,72 @@
 //				correspondant au nom du véhicule si le nom se termine par '*'
 
 	unsigned int alpha;
-	unsigned int d;
+	unsigned int distance;
+	unsigned int angle = 500;
+	unsigned int kroue = 2;
 	unsigned int k = 1;
 	unsigned short pot;
 
 void lecture_telemetre(){
 	CanFrame reponsed, requeted;
+	UINT flag;
 	
 	//Lecture distance mesurée
 	requeted.data.id = 'U';
-	requeted.data.rtr = 1;
-	snd_dtq(CanTx, requeted.msg);
+	requeted.data.rtr = 1;	//requete de lecture
+	periph[ADDR('U')].ev = 0x02;
+	snd_dtq(CanTx, requeted.msg); 
+	wai_flg(ev_periph, 0x02, TWF_ANDW, &flag);	//Attente de lecture
+	distance = periph[ADDR('U')].val;
+}
+
+void asservissement_roue(){
+	CanFrame comm;
 	
-	rcv_dtq(CanRx, &reponsed.msg);
-	d = reponsed.data.val;
+	comm.data.id = 'D';
+	comm.data.rtr = 0;
+	
+	comm.data.val = kroue * (distance - 637);
+	snd_dtq(CanTx, comm.msg);
+	
 }
-
+// test avec fonction periph
 void tsk_asserv1(){
+	UINT flag;
+	
 	CanFrame comm, reponse, requete, m;
 	
+		//Lecture de la position
+		requete.data.id = 'R';
+		requete.data.rtr = 1;	//requete de lecture
+		periph[ADDR('R')].ev = 0x01;
+		snd_dtq(CanTx, requete.msg);
+		wai_flg(ev_periph, 0x01, TWF_ANDW, &flag); //Attente de la réponse
+		alpha = periph[ADDR('R')].val;
+		
 		//Contrôle vitesse de rotation de la tourelle
 		comm.data.id = 'T';
 		comm.data.rtr = 0;
 		//asservissement en vitesse
-		comm.data.val = k * (ad00 - alpha);
+		comm.data.val = k * (450 - alpha);
 	
 		snd_dtq(CanTx, comm.msg);
+		
 	
-		//Lecture de la position
-		requete.data.id = 'R';
-		requete.data.rtr = 1;
-		snd_dtq(CanTx, requete.msg);
-		
-		rcv_dtq(CanRx, &reponse.msg);
-		//if (reponse.data.id == 'R'){
-		alpha = reponse.data.val;
-		//}
-		
-		//démarrage de la voiture 
-		/*comm.data.id = 'V';
-		comm.data.rtr = 0;
-		comm.data.val = 120;
-		snd_dtq(CanTx, comm.msg);*/
 }
 
+void vitesse(){
+	CanFrame comm;
+	
+	//démarrage de la voiture
+	comm.data.id = 'V';
+	comm.data.rtr = 0;
+	
+	if(comm.data.val == 0);{
+	comm.data.val = 20;
+	}
+	snd_dtq(CanTx, comm.msg);
+}
 
 void main()
 {
@@ -178,11 +200,14 @@
 	capture_init();
 
 	sta_cyc(ID_acqui);
-//	sta_tsk(ID_periph_rx);
-
+	sta_tsk(ID_periph_rx);
+	
     while(1)
-    {
-		sta_tsk(ID_tsk_asserv1);
+    {
+		sta_tsk(ID_vitesse);
+		sta_tsk(ID_tsk_asserv1);
+		sta_tsk(ID_lecture_telemetre);
+		sta_tsk(ID_asservissement_roue);
     }
 }
 
Index: branch/font/Emb_App/conf_noyau.cfg
===================================================================
--- branch/font/Emb_App/conf_noyau.cfg	(revision 57)
+++ branch/font/Emb_App/conf_noyau.cfg	(revision 58)
@@ -72,6 +72,36 @@
 	exinf	= 0x0;
 };
 
+task[]{
+	entry_address	= lecture_telemetre();
+	name	= ID_lecture_telemetre;
+	stack_size	= 512;
+	stack_section	= stack;
+	priority	= 4;
+	initial_start	= OFF;
+	exinf	= 0x0;
+};
+
+task[]{
+	entry_address	= asservissement_roue();
+	name	= ID_asservissement_roue;
+	stack_size	= 512;
+	stack_section	= stack;
+	priority	= 4;
+	initial_start	= OFF;
+	exinf	= 0x0;
+};
+
+task[]{
+	entry_address	= vitesse();
+	name	= ID_vitesse;
+	stack_size	= 512;
+	stack_section	= stack;
+	priority	= 4;
+	initial_start	= OFF;
+	exinf	= 0x0;
+};
+
 flag[]{
 	name	= ev_bus_fin_tr;
 	initial_pattern	= 0x0000;
Index: branch/font/Emb_App/EmbM32C87App.hwp
===================================================================
--- branch/font/Emb_App/EmbM32C87App.hwp	(revision 57)
+++ branch/font/Emb_App/EmbM32C87App.hwp	(revision 58)
@@ -3,16 +3,16 @@
 [DATABASE_VERSION]
 "2.8" 
 [PROJECT_DETAILS]
-"EmbM32C87App" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\EmbM32C87App.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87)" 
+"EmbM32C87App" "E:\tp_info6_2018_font\Emb_App" "E:\tp_info6_2018_font\Emb_App\EmbM32C87App.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87)" 
 [INFORMATION]
 "No project information available" 
 [TOOL_CHAIN]
 "Renesas M32C Standard Toolchain" "5.42.00" 
 [CONFIGURATIONS]
-"Debug" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\Debug" 
-"Debug_M32C_FoUSB_UART" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\Debug_M32C_FoUSB_UART" 
-"Debug_M32C_Simulator" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\Debug_M32C_Simulator" 
-"Release" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\Release" 
+"Debug" "E:\tp_info6_2018_font\Emb_App\Debug" 
+"Debug_M32C_FoUSB_UART" "E:\tp_info6_2018_font\Emb_App\Debug_M32C_FoUSB_UART" 
+"Debug_M32C_Simulator" "E:\tp_info6_2018_font\Emb_App\Debug_M32C_Simulator" 
+"Release" "E:\tp_info6_2018_font\Emb_App\Release" 
 [BUILD_PHASES]
 "Renesas M32C Assembler" 1 
 "Renesas M32C C Compiler" 1 
@@ -105,29 +105,29 @@
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C Assembler" 
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C C Compiler" 
 [PROJECT_FILES]
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\conf_noyau.cfg" "User" "Configuration file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\crt0mr.a30" "User" "Assembly source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\carte_io.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\carte_m32.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\sfr32c83.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\sfr32c87.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.h" "User" "C header file" 2 
+"E:\tp_info6_2018_font\Emb_App\conf_noyau.cfg" "User" "Configuration file" 2 
+"E:\tp_info6_2018_font\Emb_App\crt0mr.a30" "User" "Assembly source file" 2 
+"E:\tp_info6_2018_font\Emb_App\programme_principal_etud.c" "User" "C source file" 2 
+"E:\tp_info6_2018_font\bsp\can.c" "User" "C source file" 2 
+"E:\tp_info6_2018_font\bsp\can.h" "User" "C header file" 2 
+"E:\tp_info6_2018_font\bsp\carte_io.h" "User" "C header file" 2 
+"E:\tp_info6_2018_font\bsp\carte_m32.h" "User" "C header file" 2 
+"E:\tp_info6_2018_font\bsp\clavier.c" "User" "C source file" 2 
+"E:\tp_info6_2018_font\bsp\clavier.h" "User" "C header file" 2 
+"E:\tp_info6_2018_font\bsp\dma0.c" "User" "C source file" 2 
+"E:\tp_info6_2018_font\bsp\dma0.h" "User" "C header file" 2 
+"E:\tp_info6_2018_font\bsp\lcd.c" "User" "C source file" 2 
+"E:\tp_info6_2018_font\bsp\lcd.h" "User" "C header file" 2 
+"E:\tp_info6_2018_font\bsp\mli.c" "User" "C source file" 2 
+"E:\tp_info6_2018_font\bsp\mli.h" "User" "C header file" 2 
+"E:\tp_info6_2018_font\bsp\periph.c" "User" "C source file" 2 
+"E:\tp_info6_2018_font\bsp\periph.h" "User" "C header file" 2 
+"E:\tp_info6_2018_font\bsp\radiocommande.c" "User" "C source file" 2 
+"E:\tp_info6_2018_font\bsp\radiocommande.h" "User" "C header file" 2 
+"E:\tp_info6_2018_font\bsp\sfr32c83.h" "User" "C header file" 2 
+"E:\tp_info6_2018_font\bsp\sfr32c87.h" "User" "C header file" 2 
+"E:\tp_info6_2018_font\bsp\uart0.c" "User" "C source file" 2 
+"E:\tp_info6_2018_font\bsp\uart0.h" "User" "C header file" 2 
 [FOLDER]
 "Assembly source file" "Assembly source file" 
 "C header file" "C header file" 
@@ -138,10 +138,10 @@
 [ON_DEMAND_COMPONENTS_LOADED]
 [SYNC_SESSION_NAMES]
 [SESSIONS]
-"DefaultSession" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\DefaultSession.hsf" 0 
-"SessionM32C_E8a_system" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\SessionM32C_E8a_system.hsf" 0 
-"SessionM32C_FoUSB_UART" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\SessionM32C_FoUSB_UART.hsf" 0 
-"SessionM32C_Simulator" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\SessionM32C_Simulator.hsf" 0 
+"DefaultSession" "E:\tp_info6_2018_font\Emb_App\DefaultSession.hsf" 0 
+"SessionM32C_E8a_system" "E:\tp_info6_2018_font\Emb_App\SessionM32C_E8a_system.hsf" 0 
+"SessionM32C_FoUSB_UART" "E:\tp_info6_2018_font\Emb_App\SessionM32C_FoUSB_UART.hsf" 0 
+"SessionM32C_Simulator" "E:\tp_info6_2018_font\Emb_App\SessionM32C_Simulator.hsf" 0 
 [GENERAL_DATA_SESSION_DefaultSession]
 [GENERAL_DATA_SESSION_SessionM32C_E8a_system]
 [GENERAL_DATA_SESSION_SessionM32C_FoUSB_UART]
@@ -148,18 +148,18 @@
 [GENERAL_DATA_SESSION_SessionM32C_Simulator]
 [OPTIONS_Debug_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_font\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_Renesas M32C C Compiler]
 "C source file" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_font\Emb_App\programme_principal_etud.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_font\bsp\can.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_font\bsp\clavier.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_font\bsp\dma0.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_font\bsp\lcd.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_font\bsp\mli.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_font\bsp\periph.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_font\bsp\radiocommande.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_font\bsp\uart0.c" "0d1c724595684d10" 2 
 [OPTIONS_Debug_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_Renesas M32C Librarian]
@@ -187,18 +187,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug]
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_font\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_font\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_2018_font\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_font\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_font\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_font\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_font\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_font\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_font\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_font\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Librarian]
@@ -226,18 +226,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_FoUSB_UART]
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_font\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_font\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_2018_font\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_font\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_font\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_font\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_font\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_font\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_font\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_font\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Librarian]
@@ -265,18 +265,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_Simulator]
 [OPTIONS_Release_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_font\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Release_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_font\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_2018_font\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_font\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_font\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_font\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_font\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_font\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_font\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_font\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Release_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Release_Renesas M32C Librarian]
Index: branch/font/Emb_App/EmbM32C87App.tps
===================================================================
--- branch/font/Emb_App/EmbM32C87App.tps	(revision 57)
+++ branch/font/Emb_App/EmbM32C87App.tps	(revision 58)
@@ -18,7 +18,7 @@
 "SessionM32C_E8a_system" 
 [GENERAL_DATA_PROJECT]
 [GENERAL_DATA_CONFIGURATION_Debug]
-"PROJECT_FILES_MODIFIED_DATA_TAG" "TRUE" 
+"PROJECT_FILES_MODIFIED_DATA_TAG" "FALSE" 
 [SESSIONS_Debug]
 "DefaultSession" 
 "SessionM32C_E8a_system" 
Index: branch/font/Emb_App.hws
===================================================================
--- branch/font/Emb_App.hws	(revision 57)
+++ branch/font/Emb_App.hws	(revision 58)
@@ -3,12 +3,12 @@
 [DATABASE_VERSION]
 "11.0" 
 [WORKSPACE_DETAILS]
-"Emb_App" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App.hws" "M16C/80,M32C" "Renesas M32C Standard" 
+"Emb_App" "E:\tp_info6_2018_font" "E:\tp_info6_2018_font\Emb_App.hws" "M16C/80,M32C" "Renesas M32C Standard" 
 [SHARED_WORKSPACE_CONTROL_STATUS]
 "" "" "" 
 "" "" "" 
 [PROJECTS]
-"EmbM32C87App" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\EmbM32C87App.hwp" 4 
+"EmbM32C87App" "E:\tp_info6_2018_font\Emb_App" "E:\tp_info6_2018_font\Emb_App\EmbM32C87App.hwp" 4 
 [INFORMATION]
 "No workspace information available" 
 [SCRAP]
